<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Name: VZVZ Opvragen Medicatievoorschriften
Description: Opvragen Medicatievoorschriften 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000">
   <title>VZVZ Opvragen Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01" id="d19e4986-false-d102737e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]])&gt;=1">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]])&lt;=1">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]"
         id="d102734e39-false-d102767e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="d102734e41-false-d102799e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d102734e49-false-d102823e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.111.3.3.11.1 AORTA Context Code (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]"
         id="d19e4992-false-d102851e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor])&lt;=1">(opvragenVoorschriftenLijst): element hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(opvragenVoorschriftenLijst): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']])&gt;=1">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']])&lt;=1">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:code[@codeSystem='2.16.840.1.113883.1.18' or @nullFlavor]"
         id="d19e4996-false-d102897e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:effectiveTime
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:effectiveTime"
         id="d19e5004-false-d102914e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]"
         id="d19e5015-false-d102934e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11'])&gt;=1">(opvragenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&gt;=1">(opvragenVoorschriftenLijst): element hl7:queryId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)])&lt;=1">(opvragenVoorschriftenLijst): element hl7:queryId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1">(opvragenVoorschriftenLijst): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&gt;=1">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)])&lt;=1">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval)&lt;=1">(opvragenVoorschriftenLijst): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCode)&lt;=1">(opvragenVoorschriftenLijst): element hl7:medicationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCombinedOrderID)&lt;=1">(opvragenVoorschriftenLijst): element hl7:medicationCombinedOrderID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']])&gt;=1">(opvragenVoorschriftenLijst): element hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']])&lt;=1">(opvragenVoorschriftenLijst): element hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']"
         id="d19e5017-false-d103046e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.111.3.3.10.11')">(opvragenVoorschriftenLijst): de waarde van @root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.11' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:queryId[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:queryId[not(@nullFlavor)]"
         id="d19e5022-false-d103061e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:statusCode[@code='executing']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:statusCode[@code='executing']"
         id="d19e5033-false-d103073e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responseModalityCode[@code='R']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responseModalityCode[@code='R']"
         id="d19e5046-false-d103091e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responsePriorityCode[@code='I']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responsePriorityCode[@code='I']"
         id="d19e5059-false-d103109e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]"
         id="d19e5073-false-d103126e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval"
         id="d19e5084-false-d103140e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]"
         id="d19e5106-false-d103154e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <let name="elmcount" value="count(hl7:low | hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="$elmcount&gt;=1">(opvragenVoorschriftenLijst): keuze (hl7:low  of  hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="$elmcount&lt;=2">(opvragenVoorschriftenLijst): keuze (hl7:low  of  hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(opvragenVoorschriftenLijst): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:high)&lt;=1">(opvragenVoorschriftenLijst): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low"
         id="d19e5143-false-d103194e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high"
         id="d19e5145-false-d103208e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode"
         id="d19e5153-false-d103222e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode/hl7:value[not(@nullFlavor)]"
         id="d19e5158-false-d103236e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID"
         id="d19e5161-false-d103247e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]"
         id="d19e5171-false-d103264e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9035
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]
Item: (QRYpatientId)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]"
         id="d103265e26-false-d103280e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1">(QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.4.10.1
Context: //hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (dtBSNValue)
-->

   <rule context="//hl7:QURX_IN990201NL01/hl7:ControlActProcess[@moodCode='EVN'][hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root='2.16.840.1.113883.2.4.6.3']]/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="d103275e29-false-d103306e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dtBSNValue): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="@extension">(dtBSNValue): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="not(@extension) or string-length(@extension)&gt;0">(dtBSNValue): attribuut @extension MOET datatype 'st' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(dtBSNValue): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20180426T145842/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string-length(@extension) = 9">(dtBSNValue): Het BSN dient altijd 9 cijfers te bevatten. Het BSN kan ook voorloopnullen bevatten, oftewel beginnen met een nul.</assert>
   </rule>
</pattern>
